package com.ruoyi.abuwx.mapper;

import com.ruoyi.abuwx.domain.InfoContent;
import com.ruoyi.abuwx.vo.InfoContentVo;

import java.util.List;

/**
 * 资讯信息Mapper接口
 *
 * @author lujie
 * @date 2024-12-27
 */
public interface InfoContentMapper
{
    /**
     * 查询资讯信息
     *
     * @param id 资讯信息主键
     * @return 资讯信息
     */
    public InfoContent selectInfoContentById(Long id);

    /**
     * 查询资讯信息列表
     *
     * @param infoContent 资讯信息
     * @return 资讯信息集合
     */
    public List<InfoContent> selectInfoContentList(InfoContent infoContent);

    /**
     * 新增资讯信息
     *
     * @param infoContent 资讯信息
     * @return 结果
     */
    public int insertInfoContent(InfoContent infoContent);

    /**
     * 修改资讯信息
     *
     * @param infoContent 资讯信息
     * @return 结果
     */
    public int updateInfoContent(InfoContent infoContent);

    /**
     * 删除资讯信息
     *
     * @param id 资讯信息主键
     * @return 结果
     */
    public int deleteInfoContentById(Long id);

    /**
     * 批量删除资讯信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInfoContentByIds(Long[] ids);

    List<InfoContentVo> selectInfoContentVoList(InfoContent infoContent);
}
